Subject: Re: bug#8254: race condition in dired.c's scmp function

From: Stefan Monnier <[email-masked]>
Date: Tue, 15 Mar 2011 15:13:46 -0400

> I agree; and not only is it tedious, it's error-prone.  It's better
> to fix the macros so that there's no need to check, as follows.  While
> we're at it, we should simply get rid of the macros, by replacing
> every use of UPPERCASEP with uppercasep, etc.

If we're turning those macros into functions, then I indeed think we
should get rid of the macros.  I would also welcome those functions
being real one-liners, as in:

static inline int uppercasep (int ch) { return downcase (ch) != ch; }

        Stefan